
#pragma once

#include <cud_cpu_vector.h>
//#include <cud_gpu_vector.h>

//-----------------------------------------------------
//	Author	:	Adoniseagle
//	Date	:	14/12/2007
//	Contact	:	adoniseagle@hotmail[dot]com
//------------------------------------------------------

extern "C" void InitCudaLibrary();
extern "C" void CloseCudaLibrary();

//#define CUDA_CHECK_CALL( call) do {  } while (0)

namespace cuda_lib
{
	extern "C" void
	InitCudaLibrary();

	extern "C" void
	CloseCudaLibrary();

};

//-- Some tests functions :

#  define CUDA_CHECK_CALL( call) do {                                        \
    cudaError err = call;			                                         \
    if( cudaSuccess != err) {                                                \
	throw exception ( cudaGetErrorString(err));}}while (0)
