#pragma once

namespace cuda_lib
{
	//Bind the array with the appropriate texture in the kernel cu file
	//=>float4 image array
	extern "C" void
	cud_BindTextureToArray(cudaArray *a_Data);

	extern "C" void
	cud_UnBindTextureToArray();

	extern "C" void
	CallKernelFloat(float * data, unsigned int mem_size);

};
